import { useSelector } from "react-redux";

const useMainLayout = () => {
    const { userData: user, isLoading: isUserLoading, error: isUserError } = useSelector((state) => state.auth);

    return {
        user,
        isUserLoading,
        isUserError,
    };
};

export default useMainLayout;